Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique





















Freely subscribe to our NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Unsubscribe

Vigil@nce: HP Tru64 UNIX, privilege elevation via AdvFS

November 2008 by Vigil@nce

A local attacker can use AdvFS in order to elevate his privileges.

- Gravity: 2/4
- Consequences: administrator access/rights, privileged access/rights
- Provenance: user shell
- Means of attack: no proof of concept, no attack
- Ability of attacker: expert (4/4)
- Confidence: confirmed by the editor (5/5)
- Diffusion of the vulnerable configuration: high (3/3)
- Creation date: 07/11/2008

IMPACTED PRODUCTS

- Hewlett-Packard Tru64 UNIX

DESCRIPTION

The AdvFS filesystem can be installed as an option under Tru64 UNIX. The /usr/sbin/showfile command displays the attributes of an AdvFS file.

A local attacker can use showfile to elevate his privileges. Technical details are unknown.

This vulnerability may be related to a buffer overflow occurring in this suid/sgid command.

CHARACTERISTICS

- Identifiers: BID-32160, c01599842, CVE-2008-4414, HPSBTU02383, SSRT080098, VIGILANCE-VUL-8228
- Url: http://vigilance.fr/vulnerability/8228




See previous articles

    

See next articles